/// <reference types="node" />
import { Signer } from '../models/Signer';
import { Uncrumb } from '../Decrypter/Uncrumb';
export declare class Uncrumbl {
    crumbled: string;
    slices: Array<Uncrumb>;
    verificationHash: string;
    signer: Signer;
    isOwner: boolean;
    constructor(crumbled: string, slices: Array<Uncrumb>, verificationHash: string, signer: Signer, isOwner: boolean);
    process(): Promise<Buffer>;
    toHTML(element: HTMLElement): Promise<Buffer>;
    private doUncrumbl;
}
/**
 * Split the crumbled string into its three parts: the version, the verification hash and the crumbs
 *
 * @param crumbl {string} - The full crumbled string
 * @param vh {string} - The optional verification hash to compare
 * @returns the version, the hash byte array and the crumbs string
 */
export declare const extractData: (crumbl: string, vh?: string | undefined) => [string, Buffer, string];
//# sourceMappingURL=Uncrumbl.d.ts.map